package market.Api.Mes.impl;

import java.util.ArrayList;

public class DesignInfo {
	
	/**
	 * 虚拟物料号
	 */
	private String object_no_vt;
	
	public String getObject_no_vt() {
		return object_no_vt;
	}

	public void setObject_no_vt(String object_no_vt) {
		this.object_no_vt = object_no_vt;
	}
	
	/**
	 * 物料号
	 */
	private String object_no;
	public String getObject_no() {
		return object_no;
	}

	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}

	/**
	 * 单重
	 */
	private Double single_wgt;
	public Double getSingle_wgt() {
		return single_wgt;
	}
	
	public void setSingle_wgt(Double single_wgt) {
		this.single_wgt = single_wgt;
	}
	/**
	 * 生产订单号
	 */
	private String prod_order_no;
	public String getProd_order_no() {
		return prod_order_no;
	}

	public void setProd_order_no(String prod_order_no) {
		this.prod_order_no = prod_order_no;
	}
	
	/**
	 * 工序点集合
	 */
	private ArrayList<String> process;
	public ArrayList<String> getProcess() {
		return process;
	}

	public void setProcess(ArrayList<String> process) {
		this.process = process;
	}


	
	/**
	 * 当前处理工序序号
	 */
	private int CurrentProcIndex;
	public int getCurrentProcIndex() {
		return CurrentProcIndex;
	}

	public void setCurrentProcIndex(int currentProcIndex) {
		CurrentProcIndex = currentProcIndex;
	}

}
